Get Key Information

This API endpoint is used to retrieve information about a specific key in the NexusRunDB database, including details such as the size of the key.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
  • The Master access key or any access keys with "read_key", "read_write_key", or "list_all_keys" permissions (or tokens generated for these access keys) have the ability to retrieve information about a specific key by its key ID in the NexusRunDB database.
  • The JSON response from this API endpoint includes the actual size of the key's value, as well as the size on disk. This provides information about the size of the key's data and the space it occupies in the storage system.
  • The "size" mentioned in the JSON response represents the number of bytes occupied by the value of the key.
  • The "size on disk" mentioned in the JSON response refers to the file block size occupied by the key's value on the disk for persistence. In this example, it indicates that every key takes at least 4KB of space on the disk, regardless of the actual size of the key's value.
Path Params
string
required

This is the unique database id you provided while creating database.

string
required

This is short name for the database location. This will be shown when new database is created at portal.

string
required

Specifies the bucket id from which key is checked

string
required

Specifies the keyid to get information.

Headers
string

You need to pass either "Basic 'accesskey:accesssecret'" (base 64 encoded) or "Bearer {token}" authorization header.

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain